import { DocumentDemande } from "./DocumentDemande";
import { Destinataire } from "./destinataire";
import { TypeDemande } from "./typeDemande";
import { TypeDocument } from "./typeDocument";
import { User } from "./user";


export class Demande{

    id!: number;
    documents: DocumentDemande[] = [];
    confidentiality!: string;
    priority!: string;
    objetMail!: string;
    message!: string;
    statut! : string;
    edemande!: string;
    user!: User;
    typeDemande!: TypeDemande;
    typeDocument!: TypeDocument;
    expirationDate!: Date;
    creationDate!: Date;
    modificationDate!: Date;
    destinataires: Destinataire[] = [];


}